org.gjt.sp.jedit.gui

## Interface DockingFrameworkProvider

All Known Implementing Classes:
  DockableWindowManagerProvider

    public interface DockingFrameworkProvider

Base interface for the Docking Framework Provider service. Plugins such as MyDoggy can offer an alternate docking framework by offering a service that creates an instance of one of these. For an example, see jEdit's own services.xml, which provides jEdit's classic docking framework via the class DockableWindowManagerProvider.

Since:
  jEdit 4.3pre16

### Method Summary

Methods
`DockableWindowManager` `create(View view, DockableWindowFactory instance, View.ViewConfig config)`
`DockableWindowManager.DockingLayout` `createDockingLayout()`

### Method Detail

#### create

    DockableWindowManager create(View view,
                               DockableWindowFactory instance,
                               View.ViewConfig config)

#### createDockingLayout

    DockableWindowManager.DockingLayout createDockingLayout()